package br.com.buscaacelerada;

import com.jsonsample.R;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class FormActivity extends Activity {
	
	TextView txtTitulo, txtAno, txtPreco, txtCidade, txtCor;
	String link;
	Button btnAcessar;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.form);
		
		txtTitulo = (TextView)findViewById(R.id.txtTitulo);
		txtAno = (TextView)findViewById(R.id.txtAno);
		txtPreco = (TextView)findViewById(R.id.txtPreco);
		txtCidade = (TextView)findViewById(R.id.txtCidade);
		txtCor = (TextView)findViewById(R.id.txtCor);
		btnAcessar = (Button)findViewById(R.id.btnAcessar);
		
		Intent intent1 = getIntent();
		txtTitulo.setText(intent1.getStringExtra("Titulo"));
		txtAno.setText("Ano: " + intent1.getStringExtra("Ano"));
		txtPreco.setText("R$ " + intent1.getStringExtra("Preco"));
		txtPreco.setText("Cor: " + intent1.getStringExtra("Cor"));
		txtCidade.setText(intent1.getStringExtra("NomeCidade") + "/RS");
		link = intent1.getStringExtra("Link");
		
		btnAcessar.setOnClickListener(new Button.OnClickListener(){
			@Override
			public void onClick(View arg0) {
				Uri uri = Uri.parse(link);
				 Intent intent = new Intent(Intent.ACTION_VIEW, uri);
				 startActivity(intent);
			}});
	}
}
