package br.com.buscaacelerada;

import com.jsonsample.R;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ProgressBar;

public class SearchActivity extends Activity {
	
	Button btnPesquisar;
	EditText txtPesquisa;
	ProgressBar mProgress;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.search);
		
		txtPesquisa = (EditText)findViewById(R.id.txtPesquisa);
		btnPesquisar = (Button)findViewById(R.id.btnPesquisar);
		mProgress = (ProgressBar)findViewById(R.id.progressBar1);
		mProgress.setVisibility(ProgressBar.INVISIBLE);
		
		btnPesquisar.setOnClickListener(new Button.OnClickListener(){
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(SearchActivity.this, ResultsActivity.class);
				intent.putExtra("Pesquisa", txtPesquisa.getText().toString().toUpperCase());
				startActivity(intent);
				mProgress.setVisibility(ProgressBar.VISIBLE);
			}
		});
	}
}
